Skip to main content
GET
Get market trades

Query Parameters

condition_ids
string

Comma-separated condition IDs (max 20)

slugs
string

Comma-separated market slugs

position_ids
string

Comma-separated position IDs

traders
string

Comma-separated trader addresses (max 25)

builder_codes
string

Comma-separated builder codes (max 25)

side
enum<string>

Trade side: 0 (Buy), 1 (Sell)

Available options:
0,
1
outcome
string

Outcome name filter (e.g. Yes, No)

outcome_index
enum<string>

Outcome index: 0 (Yes), 1 (No)

Available options:
0,
1
trade_types
string

Comma-separated trade types: OrderFilled, Redemption, Merge, Split, Cancelled, PositionsConverted, OrdersMatched, MakerRebate, Reward, Yield, ComboCreation, ComboExecution, ComboStatusUpdate, ComboPositionsSplit, ComboPositionsMerged, ComboSplitOnCondition, ComboMergedOnCondition, ComboExtracted, ComboInjected, ComboConvertedToYesBasket, ComboMergedFromYesBasket, ComboCompressed, ComboPositionRedeemed, ComboWrapped, ComboUnwrapped, ComboHorizontalSplit, ComboHorizontalMerge, ComboPositionConverted, ComboPositionMigrated

min_usd_amount
number<double>

Min USD amount

max_usd_amount
number<double>

Max USD amount

min_shares_amount
number<double>

Min shares amount

max_shares_amount
number<double>

Max shares amount

min_price
number<double>

Min price (0.0-1.0)

max_price
number<double>

Max price (0.0-1.0)

from
integer<int64>

Start timestamp (ms)

to
integer<int64>

End timestamp (ms)

limit
integer<int32>

Results per page (default: 10, max: 250)

Required range: x >= 0
offset
integer<int32>

Pagination offset (number of results to skip). Takes precedence over pagination_key.

Required range: x >= 0
pagination_key
string

Cursor-based pagination key obtained from previous response's pagination.pagination_key

sort_desc
boolean

Sort newest first (default: true)

ai
boolean

Return truncated response optimized for AI consumers (default: false)

Response

200 - application/json

Prediction trades matching filters

Tagged enum for all trade types — serializes with "trade_type": "..." discriminator and only includes fields relevant to each type.

id
string
required
hash
string
required
trader
object
required

Trader whose fill is represented by this row.

side
string
required

Fill side from trader perspective.

position_id
string
required

ERC1155 position ID filled.

usd_amount
number<double>
required

USDC notional for the fill.

shares_amount
number<double>
required

Shares filled.

price
number<double>
required

Fill price per share.

exchange
enum<string>
required

Exchange contract namespace that emitted the fill.

Available options:
CTFExchange,
NegRiskExchange,
ConditionalTokens,
NegRiskAdapter,
CTFExchangeV2,
NegRiskExchangeV2,
ComboExchange,
ComboCombinatorialModule,
ComboNegRiskModule,
Unknown
trade_type
enum<string>
required
Available options:
OrderFilled
block
integer<int64> | null
Required range: x >= 0
confirmed_at
integer<int64> | null
Required range: x >= 0
received_at
integer<int64> | null
Required range: x >= 0
log_index
integer<int64> | null
Required range: x >= 0
block_index
integer<int64> | null
Required range: x >= 0
order_hash
string | null

CLOB order hash filled by this trade.

taker
string | null

Counterparty/taker address when emitted by the exchange.

condition_id
string | null

Market condition ID for the filled position.

outcome
string | null

Human-readable outcome label, when enriched.

outcome_index
integer<int32> | null

Outcome index for the filled position.

Required range: x >= 0
question
string | null

Market question, when enriched.

image_url
string | null

Market image URL, when enriched.

slug
string | null

Market slug, when enriched.

event_slug
string | null

Parent event slug, when enriched.

probability
number<double> | null

Probability adjusted for outcome direction when outcome is known.

fee
number<double> | null

Fee in USDC when known.

fee_shares
number<double> | null

Raw share-denominated fee for buy fills when applicable.

fee_pct
number<double> | null

Fee rate as a percent value, not a fraction.

builder_code
string | null

CLOB V2 builder code (lower-cased "0x..." bytes32 hex). Always absent for V1 trades and may be 0x0000… for V2 trades placed without a builder code.

builder_fee
number<double> | null

Builder fee in USDC. Absent when no builder code is attached.

Last modified on July 13, 2026